OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
opal_finalize.c File Reference
`#include "opal_config.h"`
`#include "opal/class/opal_object.h"`
`#include "opal/dss/dss.h"`
`#include "opal/util/trace.h"`
`#include "opal/util/output.h"`
`#include "opal/util/malloc.h"`
`#include "opal/util/net.h"`
`#include "opal/util/keyval_parse.h"`
`#include "opal/util/show_help.h"`
`#include "opal/util/opal_sos.h"`
`#include "opal/memoryhooks/memory.h"`
`#include "opal/mca/base/base.h"`
`#include "opal/runtime/opal.h"`
`#include "opal/constants.h"`
`#include "opal/mca/if/base/base.h"`
`#include "opal/mca/installdirs/base/base.h"`
`#include "opal/mca/memcpy/base/base.h"`
`#include "opal/mca/memory/base/base.h"`
`#include "opal/mca/backtrace/base/base.h"`
`#include "opal/mca/timer/base/base.h"`
`#include "opal/mca/hwloc/base/base.h"`
`#include "opal/mca/paffinity/base/base.h"`
`#include "opal/mca/event/base/base.h"`
`#include "opal/runtime/opal_progress.h"`
`#include "opal/mca/carto/base/base.h"`
`#include "opal/mca/shmem/base/base.h"`
`#include "opal/runtime/opal_cr.h"`
`#include "opal/mca/crs/base/base.h"`

## Functions
int | opal_finalize_util (void)
| Finalize the OPAL layer, excluding the MCA system. More...
int | opal_finalize (void)
| Finalize the OPAL layer, including the MCA system. More...

## Variables
int | opal_initialized
int | opal_util_initialized

## Function Documentation

int opal_finalize | ( | void |  | ) |

Finalize the OPAL layer, including the MCA system.

Return values

  OPAL_SUCCESS | Upon success.
  OPAL_ERROR | Upon failure.

Note
  If this function is called, opal_finalize_util() should not be called.

References opal_cr_finalize(), opal_finalize_util(), and opal_progress_finalize().

Referenced by orte_finalize().

int opal_finalize_util | ( | void |  | ) |

Finalize the OPAL layer, excluding the MCA system.

Return values

  OPAL_SUCCESS | Upon success.
  OPAL_ERROR | Upon failure.

Note
  If this function is called, opal_finalize() should not be called.

References mca_base_param_finalize(), opal_class_finalize(), opal_dss_close(), opal_malloc_finalize(), and opal_output_finalize().

Referenced by ompi_mpi_finalize(), and opal_finalize().